<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".modules.home.fragment.from.fragment.SystemSeasoningsetFragment">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/main_background"
        android:orientation="vertical">

        <!-- 物料信息管理 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/qmui_config_color_white"
            android:orientation="vertical"
            android:paddingLeft="@dimen/dp_10"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent">
                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="物料信息"
                    android:textSize="19dp" />
                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="80dp"
                    android:layout_centerVertical="true"
                    android:textColor="@color/amber_primary_dark"
                    android:text="(温馨提示:点击行可修改内容.)"
                    android:textSize="12dp" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp">

                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="名称:" />

                <EditText
                    android:id="@+id/edittext"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:background="@drawable/input_bj"
                    android:hint="请输入物料名称"
                    android:inputType="text"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp" />

                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:text="类型:" />

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <Spinner
                        android:id="@+id/wllx"
                        style="@style/commonSpinnerStyle"
                        android:layout_width="80dp"
                        android:layout_height="24dp"
                        android:layout_centerVertical="true" />
                </RelativeLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <Button
                            android:id="@+id/add_wl"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerInParent="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_marginRight="100dp"
                            android:background="@drawable/button1"
                            android:text="增加"
                            android:textSize="14dp" />

                        <Button
                            android:id="@+id/synchronous"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerInParent="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="同步云端"
                            android:textSize="14dp" />
                    </RelativeLayout>

                </LinearLayout>

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="150dp"
                android:layout_marginTop="5dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">
                    <!-- 表头 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="26dp"
                        android:background="@color/activity_background">

                        <TableLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_gravity="center"
                            android:gravity="center"
                            android:stretchColumns="0">

                            <TableRow
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_horizontal">

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">

                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="物料名称" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">

                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="物料类型" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">

                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="用户操作" />
                                </RelativeLayout>
                            </TableRow>
                        </TableLayout>
                    </RelativeLayout>
                    <!-- 数据 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">
                        <ListView
                            android:id="@+id/datatab_wl"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="3dp"
                            android:divider="#00000000"
                            android:dividerHeight="3dp" />
                    </RelativeLayout>
                </LinearLayout>
            </RelativeLayout>
        </LinearLayout>

        <!-- 料仓信息管理 -->
        <LinearLayout
            android:layout_marginTop="5dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/qmui_config_color_white"
            android:orientation="vertical"
            android:paddingLeft="@dimen/dp_10"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent">
                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="料仓管理"
                    android:textSize="19dp" />
                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="80dp"
                    android:layout_centerVertical="true"
                    android:textColor="@color/amber_primary_dark"
                    android:text="(温馨提示:点击行可修改内容.)"
                    android:textSize="12dp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="150dp"
                android:layout_marginTop="5dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">
                    <!-- 表头 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="26dp"
                        android:background="@color/activity_background">
                        <TableLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_gravity="center"
                            android:gravity="center"
                            android:stretchColumns="0">
                            <TableRow
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_horizontal">

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">
                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="仓号" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">
                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="液料名" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">

                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="报警值(g)" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">

                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="总量值(g)" />
                                </RelativeLayout>
                            </TableRow>
                        </TableLayout>
                    </RelativeLayout>
                    <!-- 数据 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <ListView
                            android:id="@+id/datatab_lc"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="3dp"
                            android:divider="#00000000"
                            android:dividerHeight="3dp" />
                    </RelativeLayout>
                </LinearLayout>
            </RelativeLayout>
        </LinearLayout>

        <!-- 工序模型管理 -->
        <LinearLayout
            android:layout_marginTop="5dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/qmui_config_color_white"
            android:orientation="vertical"
            android:paddingLeft="@dimen/dp_10"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">
                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="工序模型"
                    android:textSize="19dp" />
                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="120dp"
                    android:layout_centerVertical="true"
                    android:textColor="@color/amber_primary_dark"
                    android:text=""
                    android:textSize="12dp" />
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <Button
                        android:id="@+id/add_gx"
                        android:layout_width="60dp"
                        android:layout_height="26dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:background="@drawable/button1"
                        android:visibility="gone"
                        android:text="增加"
                        android:textSize="14dp" />

                    <Button
                        android:id="@+id/huifuchuchang"
                        android:layout_width="100dp"
                        android:layout_height="26dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:background="@drawable/button1"
                        android:text="恢复出厂设置"
                        android:textSize="14dp" />
                </RelativeLayout>
            </RelativeLayout>


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">
                    <!-- 表头 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="26dp"
                        android:background="@color/activity_background">
                        <TableLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_gravity="center"
                            android:gravity="center"
                            android:stretchColumns="0">
                            <TableRow
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_horizontal">

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">
                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="序号" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1">
                                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentLeft="true"
                                        android:layout_marginLeft="20dp"
                                        android:text="工序名称" />
                                </RelativeLayout>
                            </TableRow>
                        </TableLayout>
                    </RelativeLayout>
                    <!-- 数据 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <ListView
                            android:id="@+id/datatab_gxmx"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="3dp"
                            android:divider="#00000000"
                            android:dividerHeight="3dp" />
                    </RelativeLayout>
                </LinearLayout>
            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>